Favicon

You are here: Home > API Reference > Platform > Organization Oem Users > Create OEM-provisioned user

Create OEM-provisioned user

Create a new OEM-provisioned user for the organization. Returns the new collaborator.

POST
https://api.applivery.io/v1/organizations/{organizationId}/oem/users
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/oem/users" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "[email protected]",
  "firstName": "string",
  "lastName": "string",
  "tags": [
    "string"
  ]
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/oem/users", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "email": "[email protected]",
    "firstName": "string",
    "lastName": "string",
    "tags": [
      "string"
    ]
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/oem/users",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "email": "[email protected]",
      "firstName": "string",
      "lastName": "string",
      "tags": [
        "string"
      ]
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
email string required
≤ 256 characters · Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
tags array optional
{
    "email": "[email protected]",
    "firstName": "string",
    "lastName": "string",
    "tags": [
        "string"
    ]
}

Responses

200 Response application/json
status boolean required
data object required
collaborator object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
role string required
owner admin editor viewer unassigned
tags array required
user object optional
detected object required
createdBy string required
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
createdAt string required
{
    "status": true,
    "data": {
        "collaborator": {
            "id": "string",
            "organization": "string",
            "role": "owner",
            "tags": [
                "string"
            ],
            "user": {
                "id": "string",
                "email": "[email protected]",
                "firstName": "string",
                "lastName": "string",
                "picture": "string",
                "role": "user",
                "ssoUser": true
            },
            "detected": {},
            "createdBy": "string",
            "updatedAt": "string",
            "createdAt": "string"
        }
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5203
message string optional
Only allow for organization owner
{
    "status": false,
    "error": {
        "code": 5187,
        "message": "Feature block by platform configuration"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
403 Response application/json
status boolean optional
false
error object optional
code number optional
4009
message string optional
The operation can not be completed at this time. If you already registered an account with this email address, try to log-in
{
    "status": false,
    "error": {
        "code": 4009,
        "message": "The operation can not be completed at this time. If you already registered an account with this email address, try to log-in"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}